Qwt User's Guide: QwtSetSample Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
QwtSetSample Class Reference

A sample of the types (x1...xn, y) or (x, y1..yn) More...

`#include <qwt_samples.h>`

## Public Member Functions
| QwtSetSample ()
| QwtSetSample (double, const QVector< double > &=QVector< double >())
bool | operator== (const QwtSetSample &other) const
| Compare operator.
bool | operator!= (const QwtSetSample &other) const
| Compare operator.
double | added () const

## Public Attributes
double | value
| value
QVector< double > | set
| Vector of values associated to value.

## Detailed Description

A sample of the types (x1...xn, y) or (x, y1..yn)

Definition at line 73 of file qwt_samples.h.

## Constructor & Destructor Documentation

## ◆ QwtSetSample() [1/2]

QwtSetSample::QwtSetSample | ( |  | ) |
| inline

Constructor The value is set to 0.0

Definition at line 95 of file qwt_samples.h.

## ◆ QwtSetSample() [2/2]

QwtSetSample::QwtSetSample | ( | double | v,
|  | const QVector< double > & | s = QVector< double >( ) )
| inlineexplicit

Constructor

Parameters

  v | Value
  s | Set of values

Definition at line 106 of file qwt_samples.h.

## Member Function Documentation

## ◆ added()

double QwtSetSample::added | ( |  | ) | const
| inline

Returns
  All values of the set added

Definition at line 125 of file qwt_samples.h.

## ◆ operator!=()

bool QwtSetSample::operator!= | ( | const QwtSetSample & | other | ) | const
| inline

Compare operator.

Definition at line 119 of file qwt_samples.h.

## ◆ operator==()

bool QwtSetSample::operator== | ( | const QwtSetSample & | other | ) | const
| inline

Compare operator.

Definition at line 113 of file qwt_samples.h.

## Member Data Documentation

## ◆ set

QVector< double > QwtSetSample::set

Vector of values associated to value.

Definition at line 88 of file qwt_samples.h.

## ◆ value

double QwtSetSample::value

value

Definition at line 85 of file qwt_samples.h.